unit ufrmOrderFF;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ufrmTemplateFF, StdCtrls, ulibTrCtrls, ulibTrDBCtrls;

type
  TfrmOrderFF = class(TfrmTemplateFF)
    fltLookUpCust: TrDBLookupComboBox;
    fltLookUpEmp: TrDBLookupComboBox;
    fltEdit2: TrEdit;
  private
    { Private-Deklarationen }
    procedure BuildFilter; override;
    procedure ResetFields(aForm: TForm); override;
  public
    { Public-Deklarationen }
  end;

var
  frmOrderFF: TfrmOrderFF;

implementation

{$R *.DFM}

procedure TfrmOrderFF.ResetFields(aForm: TForm);
Begin
  inherited;
  fltLookUpCust.ItemIndex := -1;
  fltLookUpEmp.ItemIndex := -1;
End;

procedure TfrmOrderFF.BuildFilter;
Begin
  inherited;
  with TheQuery do begin
    AddFmtFilterCond('OrderNo = %s',[fltEdit1.Text]);
    AddFmtFilterCond('SaleDate = ''%s''',[fltEdit2.Text]);
    AddFmtFilterCond('CustNo = %s',[fltLookUpCust.KeyValue]);
    AddFmtFilterCond('EmpNo = %s',[fltLookUpEmp.KeyValue]);
  end;
End;

end.
